Bug 973780 - Review Request: kde-plasma-applicationname - QML plasmoid to display the application title of the focused window
Summary: Review Request: kde-plasma-applicationname - QML plasmoid to display the appl...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 889723 (view as bug list)
Depends On:
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2013-06-12 17:40 UTC by Mario Blättermann
Modified: 2013-07-20 09:52 UTC (History)
5 users (show)

Fixed In Version: kde-plasma-applicationname-1.7-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 889723
Environment:
Last Closed: 2013-07-19 13:23:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)
Source0 with working direct url (1.75 KB, patch)
2013-06-16 12:32 UTC, Björn 'besser82' Esser
no flags Details | Diff

Description Mario Blättermann 2013-06-12 17:40:36 UTC
+++ This bug was initially created as a clone of Bug #889723 +++

Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/kde-plasma-applicationname.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/kde-plasma-applicationname-1.7g18437d0-1.fc18.src.rpm
Description:
A QML plasmoid to display the application name of the focused window.

Features:
* Shows the application name of the focused windows
* Shows the activity name if no window is focused
* Optionally, it shows the window title (enable this option in the settings)
Fedora Account System Username: mariobl

I was wondering if kbuildsycoca4 is in the right place. Actually, the instructions at https://github.com/ascarpino/applicationname-plasmoid/wiki/Install append this command to the installation chain. Maybe it has to be launched each time the package is installed or uninstalled? Then I would run it via %post and %postun. Explanations are very welcome.

--- Additional comment from Mario Blättermann on 2013-01-26 14:11:42 CET ---

I'm no longer interested to maintain this package. Closing it as FE-DEADREVIEW.

Comment 1 Björn 'besser82' Esser 2013-06-12 17:42:34 UTC
*** Bug 889723 has been marked as a duplicate of this bug. ***

Comment 2 Mario Blättermann 2013-06-12 17:44:51 UTC
OK, I'm back again. I can't dispense of this package, so I want to have it in Fedora. The file links are still available.

Comment 3 Björn 'besser82' Esser 2013-06-12 17:57:36 UTC
First view at spec:

-%global mainver 1.7
-%global gitver 18437d0
-
 Name:           kde-plasma-applicationname
-Version:        %{mainver}g%{gitver}
+Version:        1.7
 Release:        1%{?dist}
 Summary:        QML plasmoid to display the application title of the focused window

 License:        LGPLv2+
-URL:            https://github.com/ascarpino/applicationname-plasmoid
-# https://github.com/ascarpino/applicationname-plasmoid/tarball/%{mainver}
-Source0:        ascarpino-applicationname-plasmoid-1.7-0-g18437d0.tar.gz
+URL: https://github.com/scarpin0/applicationname-plasmoid
+Source0: https://github.com/scarpin0/applicationname-plasmoid/archive/%{version}.tar.gz#/%{name}-{version}.tar.gz

Given URL and comment for tarball is invalid (404), according to
http://kde-apps.org/content/show.php/Application%20Name%20Plasmoid?content=154324
it's the mentioned above.

Please fix, and I'll review again.

Comment 4 Mario Blättermann 2013-06-12 18:46:32 UTC
Thanks for your quick response. I will provide new files once I know about how to handle kbuildsycoca.

Comment 5 Mario Blättermann 2013-06-12 18:48:36 UTC
See also https://lists.fedoraproject.org/pipermail/packaging/2013-June/009205.html.

Comment 6 Björn 'besser82' Esser 2013-06-13 15:16:36 UTC
As far as I could figure out kbuildsyscoca is used to regenerate KDE's sys-config database. [1]

  | kbuildsycoca4, as part of the KDE command line tools ensures the proper
  | operation of KDE by reading in all the .desktop, .directory, .kimgio and
  | .protocol files to constructs a binary database.
  |
  | KDE itself accesses this database during operation to provide configuration
  | information a program needs to run.

Since your package installs a .desktop-file it would be the right way having this run during %post and %postun regenerating KDE's database.

[1] http://linux.die.net/man/8/kbuildsycoca4

Comment 7 Rex Dieter 2013-06-14 14:11:28 UTC
kbuildsycoca is a user tool (it generates per-user caches at runtime), not appropriate for a global package scriptlet.

Comment 8 Mario Blättermann 2013-06-15 20:14:45 UTC
(In reply to Björn Esser from comment #3)
> +URL: https://github.com/scarpin0/applicationname-plasmoid
That's OK. The Gihub user name has been changed from ascarpino to scarpin0.
> +Source0:
> https://github.com/scarpin0/applicationname-plasmoid/archive/%{version}.tar.
> gz#/%{name}-{version}.tar.gz
> 
This download link doesn't work either. That's why I haven't changed the current behavior. The source file is no URL and is commented how to fetch the tarball.

New files:
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/kde-plasma-applicationname.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/kde-plasma-applicationname-1.7g18437d0-2.fc18.src.rpm

Comment 9 Björn 'besser82' Esser 2013-06-16 12:32:10 UTC
Created attachment 761828 [details]
Source0 with working direct url

Package is fine. No blockers found.

Not a blocker, but Souce0 can be modified to point to an URL, see attached patch.  It's up to you whether using or not. :)

#####

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in kde-plasma-applicationname
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

  ---> false positve: whether icons nor mime-info is installed.

- Package installs a %{name}.desktop using desktop-file-install if there is
  such a file.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

  ---> false positve: is no application, is KDE-widget


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.

     ---> License-Tag is fine.

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

     ---> license is mentioned in README, should be enough here.

[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kde-plasma-applicationname-1.7g18437d0-2.fc20.noarch.rpm
kde-plasma-applicationname.noarch: W: spelling-error Summary(en_US) plasmoid -> plasma
kde-plasma-applicationname.noarch: W: spelling-error %description -l en_US plasmoid -> plasma
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint kde-plasma-applicationname
kde-plasma-applicationname.noarch: W: spelling-error Summary(en_US) plasmoid -> plasma
kde-plasma-applicationname.noarch: W: spelling-error %description -l en_US plasmoid -> plasma
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
kde-plasma-applicationname (rpmlib, GLIBC filtered):
    plasma4(scriptengine-declarativeappletscript)



Provides
--------
kde-plasma-applicationname:
    kde-plasma-applicationname
    plasma4(applet-org.kde.plasma.applet.applicationname)



Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 973780

#####

APPROVED!

Comment 10 Mario Blättermann 2013-06-16 17:58:26 UTC
Many thanks for your review! I'll have a look at your patch before importing it to the Git repo.


New Package SCM Request
=======================
Package Name: kde-plasma-applicationname
Short Description: QML plasmoid to display the application title of the focused window
Owners: mariobl
Branches: f18 f19

Comment 11 Gwyn Ciesla 2013-06-17 12:27:22 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2013-06-17 18:45:42 UTC
kde-plasma-applicationname-1.7g18437d0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kde-plasma-applicationname-1.7g18437d0-2.fc18

Comment 13 Rex Dieter 2013-06-17 18:50:27 UTC
that package version looks a bit odd, you sure you're following:

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Versioning  

??

Comment 14 Mario Blättermann 2013-06-17 18:55:18 UTC
The f19 build fails currently due to an unresolved dependency on libkscreen:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5514025

From mock_output.log:

Getting requirements for kde-plasma-applicationname-1.7g18437d0-2.fc19.src
 --> kde-workspace-devel-4.10.4-1.fc19.x86_64
Error: Package: 1:kscreen-0.0.92-1.fc19.x86_64 (build)
           Requires: libkscreen(x86-64) = 1:0.0.92
           Available: 1:libkscreen-1.0-1.fc19.x86_64 (build)
               libkscreen(x86-64) = 1:1.0-1.fc19
Error: Package: 1:kscreen-0.0.92-1.fc19.x86_64 (build)
           Requires: libkscreen.so.0()(64bit)

Should be a temporary problem, I will try it again next days.

Comment 15 Mario Blättermann 2013-06-17 18:58:50 UTC
(In reply to Rex Dieter from comment #13)
> that package version looks a bit odd, you sure you're following:
> 
> https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Versioning
> 

It has the same version numbering as the tarball. Next days I will have a look at the patch provided by Björn. It skips the git commit and uses the version number 1.7 only. Could be the better way.

Comment 16 Fedora Update System 2013-06-19 04:37:46 UTC
kde-plasma-applicationname-1.7g18437d0-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 17 Fedora Update System 2013-07-09 18:51:24 UTC
kde-plasma-applicationname-1.7-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kde-plasma-applicationname-1.7-3.fc19

Comment 18 Fedora Update System 2013-07-09 18:51:35 UTC
kde-plasma-applicationname-1.7-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kde-plasma-applicationname-1.7-3.fc18

Comment 19 Fedora Update System 2013-07-20 09:30:31 UTC
kde-plasma-applicationname-1.7-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 20 Fedora Update System 2013-07-20 09:52:44 UTC
kde-plasma-applicationname-1.7-3.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.